<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 5;
$toolId = $this->toolID;
$listId = 27;
$listName = 'Lehrplanliste';

$settingsArray = array();

$setting = new Setting();
$setting->name = 'listsettings';
$setting->description = 'Einstellungen für Lehrpläne';
$setting->subGroup = 'Lehrplanliste';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTIHYBRID);

$kursstammObj = new Lehrplanliste(false, $toolId);
$options = new EinstellDarstellung();
$vars = get_object_vars($options);
$arykeys = array_keys($vars);
for ($i = 1; $i <= 7; $i++) {
  $name = $arykeys[$i - 1];
  $displayName = $kursstammObj->getEinstellDarstellungText($name);
  $setting->config->items['checkbox'][$name] = $displayName;
}
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'title1';
$setting->description = 'Überschrift';
$setting->subGroup = 'Lehrplanliste';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'portrait';
$setting->description = 'Druckausgabe';
$setting->subGroup = 'Lehrplanliste';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTIHYBRID);
$setting->config->items['radio'] = array(1 => 'Hochformat (ohne Bemerkung)', 0 => 'Querformat');
array_push($settingsArray, $setting);